# pmxTools
Pharmacometric Tools for Modeling &amp; Simulation

[![Build Status](https://travis-ci.org/kestrel99/pmxTools.png?branch=master)](https://travis-ci.org/kestrel99/pmxTools)
[![contributions welcome](https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=flat)](https://github.com/kestrel99/pmxTools/issues)
[![](https://www.r-pkg.org/badges/version/pmxTools?color=green)](https://cran.r-project.org/package=pmxTools)
[![](http://cranlogs.r-pkg.org/badges/grand-total/pmxTools?color=blue)](https://cran.r-project.org/package=pmxTools)

<!--[![HitCount](http://hits.dwyl.io/kestrel99/pmxTools.svg)](http://hits.dwyl.io/kestrel99/pmxTools)-->

Developed by **Justin Wilkins**, **Bill Denney** and **Rik Schoemaker**, with contributions from a host of others.

Pharmacometric tools for common data analytical tasks; closed-form solutions for calculating concentrations at given 
    times after dosing based on compartmental PK models (1-compartment, 2-compartment and 3-compartment, covering infusions, zero- 
    and first-order absorption, and lag times, after single doses and at steady state, per Bertrand & Mentre (2008) 
    <http://lixoft.com/wp-content/uploads/2016/03/PKPDlibrary.pdf>); parametric simulation from NONMEM-generated parameter estimates 
    and other output; and parsing, tabulating and plotting results generated by Perl-speaks-NONMEM (PsN).
    
To install:

```{r}
devtools::install_github("kestrel99/pmxTools")
```

or download directly from CRAN.
